---
title: OverconstrainedError.constraint
slug: Web/API/OverconstrainedError/constraint
tags:
  - API
  - Audio
  - Media
  - Media Capture and Streams API
  - Media Streams API
  - OverconstrainedError
  - Property
  - Reference
  - Video
  - constraint
---
<div>{{draft}}{{securecontext_header}}{{APIRef("Media Capture and Streams")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>constraint</code></strong> read-only property of the {{domxref("OverconstrainedError")}} interface returns the constraint that was supplied in the constructor, meaning the contraint that was not satisfied.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>constraint</var> = Overconstrainederror.constraint;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('String')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Capture','#dom-overconstrainederror-constraint','constraint')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.OverconstrainedError.constraint")}}</p>
